## watchdog watchdog |

## Properties

gint | timeout | Read / Write / Construct

## Types and Values

struct | GstWatchdog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstWatchdog

## Description

## Synopsis

### Element Information

plugin | debugutilsbad
author | David Schleef <ds@schleef.org>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstWatchdog

    struct GstWatchdog;

## Property Details

### The `“timeout”` property

      “timeout”                  gint

Timeout (in ms) after which an element error is sent to the bus if no buffers are received. 0 means disabled.

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 1000